<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Data Fields - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.xhtml"><span>All</span></a></li>
      <li class="current"><a href="functions_func.xhtml"><span>Functions</span></a></li>
      <li><a href="functions_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="functions_enum.xhtml"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.xhtml#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="functions_func_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="functions_func_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.xhtml#index_n"><span>n</span></a></li>
      <li class="current"><a href="functions_func_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="functions_func_q.xhtml#index_q"><span>q</span></a></li>
      <li><a href="functions_func_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="functions_func_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="functions_func_y.xhtml#index_y"><span>y</span></a></li>
      <li><a href="functions_func_z.xhtml#index_z"><span>z</span></a></li>
      <li><a href="functions_func_0x7e.xhtml#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_o.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_o"></a>- o -</h3><ul>
<li>offset()
: <a class="el" href="classarm__compute_1_1_i_distribution1_d.xhtml#ad952765741736e8e669876dd06636873">IDistribution1D</a>
, <a class="el" href="classarm__compute_1_1_iterator.xhtml#a8760d21bd43ac13bd26489b7736245b3">Iterator</a>
</li>
<li>offset_element_in_bytes()
: <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#aaf5cc084e0feafccc97492d688f4e2e2">TensorInfo</a>
</li>
<li>offset_first_element_in_bytes()
: <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#ad590b0e52b0574c9c2fce393ede1fa7a">TensorInfo</a>
</li>
<li>open()
: <a class="el" href="classtest__helpers_1_1_p_p_m_loader.xhtml#a36e58f3e64f3851ebac7a9556b4704ed">PPMLoader</a>
</li>
<li>operator cl::Kernel()
: <a class="el" href="classarm__compute_1_1_kernel.xhtml#ad3a94f90bef30dbf3529c617cb8b2c53">Kernel</a>
</li>
<li>operator cl::Program()
: <a class="el" href="classarm__compute_1_1_program.xhtml#a611ed2c38431030f24faaaed53eb91b4">Program</a>
</li>
<li>operator*()
: <a class="el" href="structarm__compute_1_1_border_size.xhtml#a19da960d23eca69f8e65d52c741147e2">BorderSize</a>
</li>
<li>operator*=()
: <a class="el" href="structarm__compute_1_1_border_size.xhtml#ac2ed52112076ed0fd2aab3fbfb758837">BorderSize</a>
</li>
<li>operator=()
: <a class="el" href="classarm__compute_1_1_access_window_auto_padding.xhtml#ad38db221ef94b6cd0e73f5dfd743414a">AccessWindowAutoPadding</a>
, <a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#abdf21e65ee4cc7cf79a43e3de64dcc7e">AccessWindowRectangle</a>
, <a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a5c6934ef061e9aeaa31fa952c05e2730">AccessWindowStatic</a>
, <a class="el" href="classarm__compute_1_1_c_l_absolute_difference_kernel.xhtml#a71db1bd13fefa2e7fda34b8fffa4a863">CLAbsoluteDifferenceKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_arithmetic_addition_kernel.xhtml#ab83a6646bb7b3fc2fb272f0979b4a458">CLArithmeticAdditionKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_arithmetic_subtraction_kernel.xhtml#a6fd57c96408ff45f650654afa803b13e">CLArithmeticSubtractionKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_array.xhtml#a30c5bc8ac7572a16644c3c88daa90f49">CLArray&lt; T &gt;</a>
, <a class="el" href="classarm__compute_1_1_c_l_bitwise_and_kernel.xhtml#af31b1a5d8ec88a34da6d60ba2314dde1">CLBitwiseAndKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_bitwise_or_kernel.xhtml#abcfb652670535dad6ec571b3b82495f4">CLBitwiseOrKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_bitwise_xor_kernel.xhtml#ab169d4a7c722602e5952cc2a06bf38b1">CLBitwiseXorKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_channel_combine_kernel.xhtml#acbed32f07c42524f3ba442584961662a">CLChannelCombineKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_channel_extract_kernel.xhtml#a9b79b58e02befadc03a8efa21453cc6d">CLChannelExtractKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_col2_im_kernel.xhtml#ac0fc2aadef37fa6f20657e42b209ca62">CLCol2ImKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_color_convert_kernel.xhtml#a9896faa16e3d99ed942eb845dfe41f2e">CLColorConvertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_convolution_layer_weights_reshape_kernel.xhtml#a6855e413477e07be21b96fb86489effb">CLConvolutionLayerWeightsReshapeKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_convolution_rectangle_kernel.xhtml#afce1f7a8135ce82d5e12342bb05f8448">CLConvolutionRectangleKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_copy_to_array_kernel.xhtml#a8c3e5f7865d66adaa39c33a83211f261">CLCopyToArrayKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_derivative_kernel.xhtml#a3ef5b9e1c310e83a57980bb4f897283a">CLDerivativeKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_distribution1_d.xhtml#a5d11cfbbf69ebbd595d8aee3ecbafedb">CLDistribution1D</a>
, <a class="el" href="classarm__compute_1_1_c_l_edge_non_max_suppression_kernel.xhtml#aaa7e7959c4a5ab3705e79d81a7e94f1d">CLEdgeNonMaxSuppressionKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_edge_trace_kernel.xhtml#ae4e8839e52f8f14feef09d819170b40d">CLEdgeTraceKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_fast_corners.xhtml#a5376467035ae425342d9feb333452d07">CLFastCorners</a>
, <a class="el" href="classarm__compute_1_1_c_l_fast_corners_kernel.xhtml#ac5e031f7c81be9bbac3372bb6edbd344">CLFastCornersKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_fill_border_kernel.xhtml#a569042df5e874046fe622b6723289a86">CLFillBorderKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_gaussian_pyramid.xhtml#afc0bb21e48fb78591b51913eba818410">CLGaussianPyramid</a>
, <a class="el" href="classarm__compute_1_1_c_l_gaussian_pyramid_hor_kernel.xhtml#aab322f707d331394f70405702b43378a">CLGaussianPyramidHorKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_gaussian_pyramid_vert_kernel.xhtml#abd272921b9c15f9200c94898879f156a">CLGaussianPyramidVertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_g_e_m_m_interleave4x4_kernel.xhtml#a56008f3777b30dc6b002815c904a9c34">CLGEMMInterleave4x4Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_g_e_m_m_lowp_matrix_multiply_kernel.xhtml#af520778a23d6716080043321d07e9999">CLGEMMLowpMatrixMultiplyKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_g_e_m_m_matrix_accumulate_biases_kernel.xhtml#a4d63931364ae453852888a37f13eac8b">CLGEMMMatrixAccumulateBiasesKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_g_e_m_m_matrix_addition_kernel.xhtml#a6a78d63356d86ecf8e1ecd5b293087b8">CLGEMMMatrixAdditionKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_g_e_m_m_matrix_multiply_kernel.xhtml#aea377825b4153d8ea48905038cbb0ff1">CLGEMMMatrixMultiplyKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_gradient_kernel.xhtml#a86852428dd2f3c69bd0639568c2685f8">CLGradientKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_harris_corners.xhtml#adda387b61b237daaf8579249f84751a5">CLHarrisCorners</a>
, <a class="el" href="classarm__compute_1_1_c_l_harris_score_kernel.xhtml#a63257c15c82612674763a6d3333f1bd6">CLHarrisScoreKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_histogram.xhtml#acb6c95349bcbf0a7f25e7e7e1e8f4b0e">CLHistogram</a>
, <a class="el" href="classarm__compute_1_1_c_l_histogram_border_kernel.xhtml#a2ca23ba242845400753a7a7e16dfd679">CLHistogramBorderKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_histogram_kernel.xhtml#aa829a82c818f626213fd9bc071609261">CLHistogramKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_im2_col_kernel.xhtml#ac09104c975cb1ca9ad434c325be80e56">CLIm2ColKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_integral_image_vert_kernel.xhtml#af23b6173ce52f9c45601cea986114927">CLIntegralImageVertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_kernel_library.xhtml#a54fb81956f9fb1c25b279e34e1e7d966">CLKernelLibrary</a>
, <a class="el" href="classarm__compute_1_1_c_l_l_k_tracker_stage0_kernel.xhtml#ac1a27a3a3f960b210716d8103c0b8d91">CLLKTrackerStage0Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_l_k_tracker_stage1_kernel.xhtml#a0226443ff006bea34e6bbcb1fbff2422">CLLKTrackerStage1Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_logits1_d_norm_kernel.xhtml#a6ca0b2c3d501bc8062121facf4443980">CLLogits1DNormKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_logits1_d_shift_exp_sum_kernel.xhtml#a6768c8d3a565c30cd874d894b218317c">CLLogits1DShiftExpSumKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_lut_allocator.xhtml#a2de13c6fbd9dd5506f12627b87415a51">CLLutAllocator</a>
, <a class="el" href="classarm__compute_1_1_c_l_magnitude_phase_kernel.xhtml#a11f21edc185eb160e844aa0c4ca9c29a">CLMagnitudePhaseKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_mean_std_dev_kernel.xhtml#ae9fa6f33d1193d47d77210d69ef74c7d">CLMeanStdDevKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_min_max_kernel.xhtml#a9e34fe76534c1b75dfcb2f92acb16ec6">CLMinMaxKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_min_max_location.xhtml#a54669d0a20e3df491886372d4cffef69">CLMinMaxLocation</a>
, <a class="el" href="classarm__compute_1_1_c_l_min_max_location_kernel.xhtml#af478eeb354cb68fe0933f9f8b7e467e9">CLMinMaxLocationKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_normalization_layer_kernel.xhtml#afde39cdaeb3b4e6d1569ef49f70ccd5f">CLNormalizationLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_optical_flow.xhtml#a24252fc100901855c82e8703834f9634">CLOpticalFlow</a>
, <a class="el" href="classarm__compute_1_1_c_l_pixel_wise_multiplication_kernel.xhtml#a68ae410a0d979d2c897d840c6749e50c">CLPixelWiseMultiplicationKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_pooling_layer_kernel.xhtml#a1c744387eb6e27f11fed9e0383ff55b2">CLPoolingLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_remap_kernel.xhtml#a1657579b2ba3f0821766eb468f0e372e">CLRemapKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_scharr3x3_kernel.xhtml#af2d37653c2c381ce8c52df533490f2c5">CLScharr3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel3x3_kernel.xhtml#ab30b6bb92fb3a1cb0cda6dc08e9fa160">CLSobel3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel5x5_hor_kernel.xhtml#a0d2de1f5a7010147dc1d6c11eaaeda37">CLSobel5x5HorKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel5x5_vert_kernel.xhtml#abc8c95a4a6d95911a79340b6015fa70c">CLSobel5x5VertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel7x7_hor_kernel.xhtml#ae61ba8aa03f08b69195f20c2c1c4d4ef">CLSobel7x7HorKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel7x7_vert_kernel.xhtml#afa6becd7a5a59d6853e0f447ba231ac4">CLSobel7x7VertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_tensor_allocator.xhtml#a74c9c61e0615334fdeb176f21828a98f">CLTensorAllocator</a>
, <a class="el" href="classarm__compute_1_1_coordinates.xhtml#a5b213c889050bc3844bdf110f34f602d">Coordinates</a>
, <a class="el" href="classarm__compute_1_1_c_p_p_corner_candidates_kernel.xhtml#a8a61183b7dece994182972d9fede3207">CPPCornerCandidatesKernel</a>
, <a class="el" href="classarm__compute_1_1_c_p_p_sort_euclidean_distance_kernel.xhtml#aef5933e70f775b33c06ddc6c3d0cf8b6">CPPSortEuclideanDistanceKernel</a>
, <a class="el" href="classarm__compute_1_1_dimensions.xhtml#a2c96e96e2d005b4a8b66c2acd1688903">Dimensions&lt; T &gt;</a>
, <a class="el" href="classarm__compute_1_1_h_o_g_info.xhtml#a64f60c469394d4f5f621546fc3108590">HOGInfo</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_array.xhtml#aefdb6cfe839aa0835406d5adcd37de5b">ICLArray&lt; T &gt;</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_distribution1_d.xhtml#a0182f7f14809fcf8e7d1b9c8afebeafd">ICLDistribution1D</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_lut.xhtml#a8740c6498dafc80428e500a056135bf1">ICLLut</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_simple_kernel.xhtml#a8bc8fdf1a67fbaaa3270fd5eeecfc6cf">ICLSimpleKernel</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_tensor.xhtml#af72219f9b5e8803950eb8863a23c076e">ICLTensor</a>
, <a class="el" href="classarm__compute_1_1_i_c_p_p_simple_kernel.xhtml#a4a631f6a74572e47d958c4c314406000">ICPPSimpleKernel</a>
, <a class="el" href="classarm__compute_1_1_i_lut_allocator.xhtml#afc1c53ed4dcc1a723b9b9dcf67c578a1">ILutAllocator</a>
, <a class="el" href="classarm__compute_1_1_i_n_e_harris_score_kernel.xhtml#a232af38fd41caa594d7bc0571f56f50c">INEHarrisScoreKernel</a>
, <a class="el" href="classarm__compute_1_1_i_n_e_warp_kernel.xhtml#a724673b78b929bbbd03f746c75ad2ec7">INEWarpKernel</a>
, <a class="el" href="classarm__compute_1_1_i_tensor_allocator.xhtml#a46277b6e964a66a9936e06f9989f0ff6">ITensorAllocator</a>
, <a class="el" href="classarm__compute_1_1_kernel.xhtml#a22bb0cebcc049eac830795a517212f75">Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_absolute_difference_kernel.xhtml#a5d6e77370a140f10010d3cb9e2a11857">NEAbsoluteDifferenceKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_activation_layer_kernel.xhtml#a87da26ad3d611150ba40ff38f4085cb5">NEActivationLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_arithmetic_addition_kernel.xhtml#a1a359a25f8e2d5b781df6fe2ccfc09a2">NEArithmeticAdditionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_arithmetic_subtraction_kernel.xhtml#aa67dba4afaf72f6df5662cb6d7df76d3">NEArithmeticSubtractionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_bitwise_and_kernel.xhtml#ab5a50f6206108bf3abf3b3addfa7ae73">NEBitwiseAndKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_bitwise_not_kernel.xhtml#a28f175e22ab8ad069112ccdaef01f50d">NEBitwiseNotKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_bitwise_or_kernel.xhtml#a5d760acdcf6781fb383167594dc296eb">NEBitwiseOrKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_bitwise_xor_kernel.xhtml#a7fd5d2db21a7b6f3d04b99eff7a65652">NEBitwiseXorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_canny_edge.xhtml#a325fac2836aecb2da2f86b7699e2b359">NECannyEdge</a>
, <a class="el" href="classarm__compute_1_1_n_e_channel_combine_kernel.xhtml#af7fa6b6b40f275e2f6f0afdf42aa6130">NEChannelCombineKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_channel_extract_kernel.xhtml#acf451199b29e2a9a737419455bd55757">NEChannelExtractKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_col2_im_kernel.xhtml#aaf4d8c425a336a01399b68cd46ef3467">NECol2ImKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_color_convert_kernel.xhtml#ad45cf44ba984cab65018746c5dd0220c">NEColorConvertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_convolution_layer_weights_reshape_kernel.xhtml#aeb770234f2dd60bf87be7306bd6347d9">NEConvolutionLayerWeightsReshapeKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_convolution_rectangle_kernel.xhtml#a098833ba328ff07d483f4d8af88ee9f8">NEConvolutionRectangleKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_cumulative_distribution_kernel.xhtml#ad1f6a0449f8106bc3c4a46b784455f2b">NECumulativeDistributionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_depth_convert.xhtml#a7ed98008d6fd4e74c243c3ade3c17ee2">NEDepthConvert</a>
, <a class="el" href="classarm__compute_1_1_n_e_derivative_kernel.xhtml#a11f5eb3a93c035acdd9fd93f3bed50bd">NEDerivativeKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_edge_non_max_suppression_kernel.xhtml#a5f1f723a41130cb9ff98478cd958ac28">NEEdgeNonMaxSuppressionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_edge_trace_kernel.xhtml#a4c827d25ce4451de792fa939a61402b5">NEEdgeTraceKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_fast_corners_kernel.xhtml#a3b21b6f8bfa867ac4095d07b3c24dc21">NEFastCornersKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_fill_array_kernel.xhtml#a9a55c46c05fbc0a537df4c3ccc48e674">NEFillArrayKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_fill_border_kernel.xhtml#aa4f538607cbe231add821baaed273d89">NEFillBorderKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_fill_inner_border_kernel.xhtml#ad1005cd5f8e117e601e605fe95eb2c43">NEFillInnerBorderKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid.xhtml#a30c3a425c100798c86932c0ff6d12bb3">NEGaussianPyramid</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_hor_kernel.xhtml#a57b8231a27fbf3bd1867c384f20f0ee7">NEGaussianPyramidHorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_vert_kernel.xhtml#a22225d9b8a8f6d1b8fe5186be5776362">NEGaussianPyramidVertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_lowp_matrix_multiply_kernel.xhtml#a881d64d29e841c5177b7a443e21d4160">NEGEMMLowpMatrixMultiplyKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_matrix_accumulate_biases_kernel.xhtml#a409dfc45a8604ff384712328a6c31e90">NEGEMMMatrixAccumulateBiasesKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_matrix_addition_kernel.xhtml#a7bf4194c21adc060991ddb88ed4c8b60">NEGEMMMatrixAdditionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_matrix_multiply_kernel.xhtml#a7374bb3f1d0e7e9cd4ba2c33f03fe24d">NEGEMMMatrixMultiplyKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gradient_kernel.xhtml#ac9fb1a343e29082ecd7ffaa0216dcd35">NEGradientKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_histogram_border_kernel.xhtml#a5d05ee2eb332616af5c4bd6370323cc4">NEHistogramBorderKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_histogram_kernel.xhtml#a4d612efbb9c534d6d89d397e65d816dd">NEHistogramKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_block_normalization_kernel.xhtml#ab4a44853a753d8217b53760a605ad81f">NEHOGBlockNormalizationKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_detector_kernel.xhtml#a1950ead36156919ea0345e72bfe91e4f">NEHOGDetectorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_multi_detection.xhtml#a700706067ae7a82357f78ab2513cac99">NEHOGMultiDetection</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_non_maxima_suppression_kernel.xhtml#a342dca6ca42680988a884378692049c3">NEHOGNonMaximaSuppressionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_orientation_binning_kernel.xhtml#a777b74a7fe06dca3142df7575cfdb8d1">NEHOGOrientationBinningKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_im2_col_kernel.xhtml#a8f6d6c13a896535a381329b6145aeae8">NEIm2ColKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_l_k_tracker_kernel.xhtml#a4fca340cdf3937fc9d34364c0c63b87f">NELKTrackerKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_logits1_d_norm_kernel.xhtml#a2d51a25ef56b62f2430f902a593421c7">NELogits1DNormKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_logits1_d_shift_exp_sum_kernel.xhtml#ad460f5c37074598ab512070cbaca08b3">NELogits1DShiftExpSumKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_magnitude_phase_f_p16_kernel.xhtml#a70b5645889a6e88228f5d63d16c99881">NEMagnitudePhaseFP16Kernel&lt; mag_type, phase_type &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_magnitude_phase_kernel.xhtml#a792f1b5315b3678896a2dd5eab8b692b">NEMagnitudePhaseKernel&lt; mag_type, phase_type &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_mean_std_dev_kernel.xhtml#addfd7a52f0ae7ff3ff637834f4cb977c">NEMeanStdDevKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_min_max_kernel.xhtml#a9b6ac356956d5d7dfb97871dfa8daa8e">NEMinMaxKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_min_max_location_kernel.xhtml#ab9a7c76bf701e9dbed2fd52ae73e7774">NEMinMaxLocationKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_non_linear_filter_kernel.xhtml#ad1c7427d0764b87f44110b99e6ef711a">NENonLinearFilterKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_non_maxima_suppression3x3_kernel.xhtml#abd07bcfd3e6a025406dfaffbf9d44e3d">NENonMaximaSuppression3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_normalization_layer_kernel.xhtml#a7221fb56d3119c94875fbf76addc27fe">NENormalizationLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_optical_flow.xhtml#a21df3a34e101b1a8f689aa6326b90441">NEOpticalFlow</a>
, <a class="el" href="classarm__compute_1_1_n_e_pixel_wise_multiplication_kernel.xhtml#a6685c2ffbda12dbf1e4706b85c688e19">NEPixelWiseMultiplicationKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_pooling_layer_kernel.xhtml#a1729479f9686c64edfd1a4af834d634b">NEPoolingLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_remap_kernel.xhtml#ac19511f65e6bad8424d4dd8933e0b673">NERemapKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_scale_kernel.xhtml#a9bc5c918a86ea34e0a7cc2559c010596">NEScaleKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_scharr3x3_kernel.xhtml#a9e56daa4acb0848264206cbcabd71fb6">NEScharr3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel3x3_kernel.xhtml#ad278035b8f39d6cbfd3e4f0df8c2267e">NESobel3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel5x5_hor_kernel.xhtml#a3e6b2451b91f83ba01eaa137cd43ad92">NESobel5x5HorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel5x5_vert_kernel.xhtml#a59d1a2b1ef3d2b7e3bc5e942714d102a">NESobel5x5VertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel7x7_hor_kernel.xhtml#aa565986054157308084976722c25cb40">NESobel7x7HorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel7x7_vert_kernel.xhtml#a119c48528fa6440b33a4e25c9825d07f">NESobel7x7VertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_table_lookup_kernel.xhtml#a07bb7672d1a33bacdb6d6c03329be8bc">NETableLookupKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_threshold_kernel.xhtml#ade42f76ebc9cf95d29f8642069d1c0c2">NEThresholdKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_transpose_kernel.xhtml#a6feb51cd492d39a63e9455dac72bc030">NETransposeKernel</a>
, <a class="el" href="classarm__compute_1_1_program.xhtml#ac068143ead400561b25102c60ccd817d">Program</a>
, <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#a09f1ed0da3ccc973d44d1156aff150f9">PyramidInfo</a>
, <a class="el" href="classarm__compute_1_1_size2_d.xhtml#a8b9da83a2ead641e753dd21ad3571112">Size2D</a>
, <a class="el" href="classarm__compute_1_1_steps.xhtml#a19a1cb67274c32a121bda25311368aa5">Steps</a>
, <a class="el" href="classarm__compute_1_1_strides.xhtml#a8176792e94ac0c326c5338c46e6594fc">Strides</a>
, <a class="el" href="classarm__compute_1_1_tensor.xhtml#a008f5e2a1c019e9b401753210a99ddfe">Tensor</a>
, <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#adcf156ba30ff118c28690671e83ea06b">TensorInfo</a>
, <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml#a355b1a84ab7af3b8ef9a6bea1939450a">TensorShape</a>
, <a class="el" href="structarm__compute_1_1_valid_region.xhtml#aee2d91caa7e213cece8c633926cff9c2">ValidRegion</a>
, <a class="el" href="classarm__compute_1_1_window_1_1_dimension.xhtml#a7768b7b80a8b640dae911af38e3315a2">Window::Dimension</a>
</li>
<li>operator[]()
: <a class="el" href="classarm__compute_1_1_dimensions.xhtml#a67306b78d448f2ec131a237513572bac">Dimensions&lt; T &gt;</a>
, <a class="el" href="classarm__compute_1_1_window.xhtml#a677b385d536f4f81706f729e9b1c91da">Window</a>
</li>
<li>overflow()
: <a class="el" href="classarm__compute_1_1_i_array.xhtml#afd912c5902331232c8a806fcb2d6eaad">IArray&lt; T &gt;</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
